IF NOT EXISTS (SELECT * FROM SYS.TABLES WHERE NAME = 'RC_CLI_BEM_MAIS_PROMOCAO')
BEGIN

CREATE TABLE [dbo].[RC_CLI_BEM_MAIS_PROMOCAO](
	[ID]					BIGINT IDENTITY(1, 1) NOT NULL,
	[CD_EMP]				INT NOT NULL,
	[CD_CLI]				INT NOT NULL,
	[CD_SEMANA]				INT NOT NULL,
	[DT_INICIAL]			DATE NOT NULL,
	[DT_FINAL]				DATE NOT NULL,
	[BANDEIRA]				VARCHAR(100) NOT NULL,
	[CD_RECOMENDACAO]		INT NOT NULL,
	[DS_RECOMENDACAO]		VARCHAR(200) NOT NULL,
	[FLAG_OFERTA_DESTAQUE]	INT NOT NULL,
	[ID_BLOCO]				INT NOT NULL,
	[ID_LAYOUT]				INT NOT NULL,
	CONSTRAINT PK_RC_CLI_BEM_MAIS_PROMOCAO PRIMARY KEY CLUSTERED ([ID])
) ON [PRIMARY]

END
GO

IF NOT EXISTS (SELECT * FROM SYS.foreign_keys WHERE NAME = 'FK_RC_CLI_BEM_MAIS_PROMOCAO_RC_CLI')
BEGIN
	ALTER TABLE RC_CLI_BEM_MAIS_PROMOCAO ADD CONSTRAINT FK_RC_CLI_BEM_MAIS_PROMOCAO_RC_CLI FOREIGN KEY (CD_EMP, CD_CLI) REFERENCES RC_CLI (CD_EMP, CD_CLI)
END
GO


ALTER TABLE RC_CLI_BEM_MAIS_PROMOCAO CHECK CONSTRAINT FK_RC_CLI_BEM_MAIS_PROMOCAO_RC_CLI